Subject: Re: [Tzdist] [tzdist] #30 (service): DHCP option for tzdist servers available?

From: Daniel Migault <[email-masked]>
Date: Tue, 18 Nov 2014 12:44:05 +0100

Dear friends and Colleagues,

We are asking the WG whether "Issue #30
<http://trac.tools.ietf.org/wg/tzdist/trac/ticket/30>: DHCP option for
tzdist servers available?" has been addressed by
draft-ietf-tzdist-service-03
<http://tools.ietf.org/html/draft-ietf-tzdist-service-03>. Feel free to
give your opinion by Friday 21, so we can cleanup the open issue and focus
our attention on issues that have not been solved yet.

BR,
Daniel and Eliot

The proposed text is as mentioned below:

The following sub-sections describe two methods of service discovery using
DNS SRV records [RFC2782 <http://tools.ietf.org/html/rfc2782>] and an HTTP
"well-known" [RFC5785 <http://tools.ietf.org/html/rfc5785>] resource.
However, alternative mechanisms could also be used (e.g., a DHCP server
option [RFC2131 <http://tools.ietf.org/html/rfc2131>]).

On Thu, Oct 23, 2014 at 11:19 PM, Daniel Migault <[email-masked]>
wrote:

> Dear Friends and Colleague,
>
> I think that defining this option is out of scope of the current drafts.
> However, the draft should leave some place for such an option.
>
> If so I would consider some lines in the section 4.2 Client Guide Lines
>
> "This document consider discovery of the tzdist server using the service
> discovery mechanisms. Currently, this is the only mechanisms described.
> However, some alternate future mechanisms may be such as the use of a
> specific DHCP Option may be designed in the future and used instead".
>
> BR,
> Daniel
>
> On Mon, Oct 6, 2014 at 8:56 PM, tzdist issue tracker <
> [email-masked]> wrote:
>
>> #30: DHCP option for tzdist servers available?
>>
>>  The idea behind this is that just like with DNS or NTP services there is
>>  some "authoritative server", but noch each and every little embedded
>>  device needs to contact that server directly.
>>
>>  Instead, internet providers or companies with a huge number of network
>>  nodes could set up one or two own tzdist servers polling the
>>  "authoritative server(s)" for updates, and providing tzdist services
>>  inside their companies or (in case of internet providers) for their
>>  customers.
>>
>>  Similarly as a DHCP server today tells which DNS or NTP servers its
>> client
>>  should use, it could tell which tzdist server is available for its
>>  clients.
>>
>>  Martin
>>
>> --
>> ------------------------------------------+------------------------------
>>  Reporter:  [email-masked]  |      Owner:  [email-masked]
>>      Type:  defect                        |     Status:  new
>>  Priority:  major                         |  Milestone:
>> Component:  service                       |    Version:
>>  Severity:  Active WG Document            |   Keywords:
>> ------------------------------------------+------------------------------
>>
>> Ticket URL: <http://trac.tools.ietf.org/wg/tzdist/trac/ticket/30>
>> tzdist <http://tools.ietf.org/tzdist/>
>>
>> _______________________________________________
>> Tzdist mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tzdist
>>
>
>
>
> --
> Daniel Migault
> Orange Labs -- Security
> +33 6 70 72 69 58
>

-- 
Daniel Migault
Orange Labs -- Security
+33 6 70 72 69 58

---

From: Daniel Migault <[email-masked]>
Date: Sat, 22 Nov 2014 14:22:28 +0100

Dear Friends and Colleagues,

The text seems to me sufficient, and none raised any issues. I believe WG
consensus has been reached for this issue, and I am closing this issue.

BR,
Daniel

On Tue, Nov 18, 2014 at 12:44 PM, Daniel Migault <[email-masked]>
wrote:

> DNS SRV records [RFC2782 <http://tools.ietf.org/html/rfc2782>] and an
> HTTP "well-known" [RFC5785 <http://tools.ietf.org/html/rfc5785>]
> resource. However, alternative mechanisms could also be used (e.g., a DHCP
> server option [RFC2131 <http://tools.ietf.org/html/rfc2131>]).
>

-- 
Daniel Migault
Orange Labs -- Security
+33 6 70 72 69 58

---

From: "tzdist issue tracker" <[email-masked]>
Date: Sat, 22 Nov 2014 13:32:39 -0000

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

-- 
------------------------------------------+-------------------------------
 Reporter:  [email-masked]  |       Owner:  [email-masked]
     Type:  defect                        |      Status:  closed
 Priority:  major                         |   Milestone:
Component:  service                       |     Version:
 Severity:  Active WG Document            |  Resolution:  fixed
 Keywords:                                |
------------------------------------------+-------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/tzdist/trac/ticket/30#comment:1>
tzdist <http://tools.ietf.org/tzdist/>